{% load static %}

<!DOCTYPE html>
<html lang="fr">

	<head>
		<!-- titre de la fenêtre -->
		<title>BBF Bank</title>

		<!-- précise l'encodage au navigateur (gestion des accents, ...) -->
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>

		<!-- Feuilles de style -->
		<link rel="stylesheet" type="text/css" href="{% static 'CSS/souscription.css' %}"/>
		
		<!-- Inhibe la grande largeur sur mobile : évite que le mobile présente un écran large et qu'il faille zoomer -->
		<meta name="viewport" content="initial-scale=1.0, maximum-scale=2.0" />

		<!-- icône de la page -->
		<link rel="icon" href="{% static 'favicon.ico' %}" type="image/x-icon">
	
	</head>

  <body>
    <div class="bloc-connexion">
		<a href="http://127.0.0.1:8000">
			<img src="{% static 'IMG/logoRogneBBF.png' %}" alt="">
		</a>
		
		<div class="espace-connexion">
			<form method="post">
				{% csrf_token %}
				<h1> Souscription à un compte bancaire </h1>

				<div class="champs">
					{{ form.nom }} 
					<img src="{% static 'IMG/utilisateur.png' %}" alt="">
				</div>
				
				<div class="champs">
					{{ form.prenom }} 
					<img src="{% static 'IMG/utilisateur.png' %}" alt="">
				</div>

				<div class="champs">
					{{ form.mot_de_passe }}
					<img src="{% static 'IMG/cadenas.png' %}" alt="">
				</div>
				
				<div class="champs">
					{{ form.confirmation_mot_de_passe }}
					<img src="{% static 'IMG/cadenas.png' %}" alt="">
				</div>
				
				<button type="submit" class="connexion"> Souscrire </button>

				<!-- Permet d'afficher un message d'erreur en cas d'une mauvaise saisie -->
				{% if message_erreur %}
				<div class="message-erreur">
					<p>{{ message_erreur }}</p>
				</div>
				{% endif %}
			</form>
		</div>
	</div>



  </body>
</html>